
package de.ivu.elect.presentation.veranstaltung.menu;

import java.io.Serializable;

import javax.inject.Inject;

import de.ivu.elect.business.gebietsbaum.boundary.GebietSessionSelect;
import de.ivu.elect.business.wahl.boundary.WahlterminSessionSelect;

public class VeranstaltungDisabledPruefer implements Serializable {

  private static final long serialVersionUID = 1L;

  @Inject
  protected transient WahlterminSessionSelect wahlterminSelect;

  @Inject
  protected transient GebietSessionSelect gebietSelect;

  public VeranstaltungDisabledPruefer() {
    super();
  }

  public boolean isDisabled() {
    return !gebietSelect.isSelected() || !wahlterminSelect.isSelected();
  }
}
